<template>
    <div v-if="active" id="loader-wrapper">
        <div id="loader"></div>

        <div class="loader-section section-left"></div>
        <div class="loader-section section-right"></div>

    </div>
</template>

<script>
    export default {
        props: ['active']
    }
</script>

<style>
    #loader-wrapper .loader-section {
        position: fixed;
        top: 0;
        width: 51%;
        height: 100%;
        background: #2f4050;
        z-index: 1000;
    }

    #loader-wrapper .loader-section.section-left {
        left: 0;
    }

    #loader-wrapper .loader-section.section-right {
        right: 0;
    }

    #loader {
        z-index: 1001; /* anything higher than z-index: 1000 of .loader-section */
    }

</style>